sauvergarde sous php5.2.6 (Créer un compte)

  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 17)
  • Auteur
    Messages
  • #558413
    cblanchon
    Participant
    Initié WordPress
    19 contributions

    Bonjour,

    Ma configuration WP actuelle
    – Version de WordPress :4.3.
    – Version de PHP/MySQL : 5.2.6
    – Thème utilisé : 2014
    – Extensions en place :
    – Nom de l’hebergeur : paris sorbonne
    – Adresse du site : creops.paris-sorbonne.fr

    Problème(s) rencontré(s) :
    Récemment basculé chez mon hébergeur, je n’ai pas réussi à une extension de sauvegarde fonctionnant (encore) sous php5.2.6.
    J’angoisse. help!
    Merci d’avance

    #1037532
    Joss47
    Modérateur
    Maître WordPress
    4725 contributions

    Hello,

    je te conseil de mettre en place BackWPUp qui est très bien et tu peux sauvegarde vers ou tu souhaites.

    Tiens moi au courant.

    #1037533
    cblanchon
    Participant
    Initié WordPress
    19 contributions

    Merci Joss
    je viens d’essayer d’installer backupwp mais j’ai le msg suivant:

    Impossible de copier le fichier. /var/www/clients/client47/web107/web/wp-content/plugins/backwpup/vendor/Aws/Common/Facade/facade-classes.php

    le plugin indique bien qu’il faut php5.3 mais laisse une petite porte ouverte en disant que certaines fonctionnalités peuvent ne pas fonctionner avec une version antérieure… apparemment la petite porte est fermée.. Il y a peut-être une clé quelque part?

    #1037534
    Joss47
    Modérateur
    Maître WordPress
    4725 contributions

    Humm ok, essaie une ancienne version au pire https://wordpress.org/plugins/backwpup/developers/

    #1037535
    C_Lucien
    Modérateur
    Maître WordPress
    4250 contributions

    Bonjour,

    cette version ancienne de Php est-elle imposée par l’hébergeur ?
    Comment être certain qu’autre chose ne se mettra pas à dysfonctionner un jour dans WordPress ?
    Quid des mises à jour si elles deviennent incompatibles avec Php 5.2.6 ?

    #1037536
    cblanchon
    Participant
    Initié WordPress
    19 contributions

    merci de votre idée
    j’ai essayé 3 versions anciennes (au bol): elles me donnent toutes les trois des raisons différentes pour s’excuser de ne pas marcher..
    3.1 Impossible de copier le fichier. backwpup/vendor/PEAR/HTTP/Request2/Adapter/Curl.php
    2.0 l’archive n’a pas pu être installée. PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature
    3.0 Le fichier n’ a pas pu être déplacé vers wp-content/uploads/2016/01.
    j’ai l’impression que remonter encore plus en arrière serait inutile, bien que cela ne coute qu’un peu de temps.
    Bien à vous
    CB

    #1037531
    cblanchon
    Participant
    Initié WordPress
    19 contributions
    C_Lucien wrote:
    Bonjour,

    cette version ancienne de Php est-elle imposée par l’hébergeur ?
    Comment être certain qu’autre chose ne se mettra pas à dysfonctionner un jour dans WordPress ?
    Quid des mises à jour si elles deviennent incompatibles avec Php 5.2.6 ?

    Bonjour Lucien
    première question: oui je n’ai pas le choix (hébergeur institutionnel)
    deuxième question et troisième questions: je n’ai pas de certitude et votre question augmente mes craintes. Cependant on me dit que Paris Sorbonne envisage de faire une MAJ de php mais je n’ai pas de date.
    Il faut donc bien que je cherche une astuce pour sauvegarder correctement mon site.
    Bien à vous
    CB
    Ps peut-etre est ce pour cela que je trouve aussi des difficultés pour passer à wp4.4.1 (comme j’y suis encouragé par des messages wp)

    #1037537
    Joss47
    Modérateur
    Maître WordPress
    4725 contributions

    Sinon tu peux faire des sauvegarde manuelle, tu copie tout le contenu du FTP ou est ton WP, et tu exporte ta base de donnée, à condition que tu y ai accès.

    Certes ce n’est pas fait automatiquement via l’utilisation d’un plug-in mais c’est déjà mieux que rien !

    #1037538
    PhiLyon
    Modérateur
    Maître WordPress
    25966 contributions

    Bonjour.

    Les services de ton hébergeur Paris-Sorbonne proposent peut-être simplement ce service ?

    🙂

    #1037539
    cblanchon
    Participant
    Initié WordPress
    19 contributions

    Phil yon:
    Les services de ton hébergeur Paris-Sorbonne proposent peut-être simplement ce service ,

    Ben on peut toujours trouver un (ou une) pote du service informatique qui le fait pour toi, par sympathie ou en souvenir du bon vieux temps; mais en principe c’est le responsable du site qui est responsable de ses sauvegardes…
    C’est pour cela que j’aimerai bien trouver une solution qui me rende autonome sur le sujet.

    #1037540
    Joss47
    Modérateur
    Maître WordPress
    4725 contributions
    #1037541
    cblanchon
    Participant
    Initié WordPress
    19 contributions

    Merci Joss !
    cependant je n’ai pas linux qui fait partie des requisits pour simple backup.
    Je vais suivre la piste que tu m’as indiqué dans le message précédent : manuellement via copie du contenu FTP etc..

    #1037542
    Joss47
    Modérateur
    Maître WordPress
    4725 contributions

    Le serveur de paris-sorbonne ne tourne pas sous Linux ?

    #1037543
    cblanchon
    Participant
    Initié WordPress
    19 contributions
    Joss47 wrote:
    Le serveur de paris-sorbonne ne tourne pas sous Linux ?

    Bonne question votre honneur. Mais je ne connais pas la réponse : je me renseigne ( pas avant demain maintenant)

    #1037544
    mathieu789
    Participant
    Maître WordPress
    1084 contributions

    D’après les entêtes HTTP, le serveur utilise Debian Lenny et PHP 5.2.6 donc pour ces 2 points c’est déjà bon

15 sujets de 1 à 15 (sur un total de 17)
  • Vous devez être connecté pour répondre à ce sujet.